This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467111 - Facter is using the NIS domain name instead of DNS domain name in some cases
Facter is using the NIS domain name instead of DNS domain name in some cases
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: facter (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 15:26 EDT by Brenton Leanhardt
Modified: 2009-04-02 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5.4-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2008-10-15 15:26:05 EDT
Description of problem:
This bug following bug was reopened on the Reductive Labs site againnst facter 1.5.2: 
"Facter is using the NIS domain name instead of DNS domain name in some cases" http://projects.reductivelabs.com/issues/show/1291

Version-Release number of selected component (if applicable):
1.5.2

How reproducible:
facter fqdn

On my system it returns host.example.com instead of host.mysubdomain.example.com.

After applying the patch supplied by the person who reopened the bug, it worked as expected.
Comment 1 David Lutterkort 2008-10-15 15:55:51 EDT
This is also http://projects.reductivelabs.com/issues/show/1654; I addressed the problem there using just one resolution for all the various places a domain could come from.

Do you need a facter release with that patch or can we wait for the next upstream release ?
Comment 2 Brenton Leanhardt 2008-10-15 16:03:58 EDT
I'm fine with waiting till the next release.
Comment 3 Fedora Update System 2009-03-02 23:03:41 EST
facter-1.5.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/facter-1.5.4-1.fc9
Comment 4 Fedora Update System 2009-03-03 10:25:54 EST
facter-1.5.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2255
Comment 5 Fedora Admin XMLRPC Client 2009-03-16 12:53:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2009-03-18 15:06:42 EDT
facter-1.5.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2255
Comment 7 Fedora Update System 2009-04-02 13:11:00 EDT
facter-1.5.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.